Skip to navigation

List workflow tasks

View as Markdown

Retrieves a list of workflow tasks available in your Zuora tenant.

User Access Permission

You must be assigned the Workflow View Access permission to run this operation.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Query parameters

idstringOptional
If specified, the operation retrieves the task that is with specified id.
namestringOptional
If specified, the operation retrieves tasks that is in the specified name.
instancebooleanOptional
If set to true, the operation retrieves workflows that have the scheduled trigger enabled. If set to false, the operation retrieves workflows that have the scheduled trigger disabled. If not specfied, the operation will not use this filter.
action_typestringOptional
If specified, the operation retrieves tasks that is the specified type.
objectstringOptional
If specified, the operation retrieves tasks with the specified object.
object_idstringOptional
If specified, the operation retrieves tasks with the specified object id.
call_typestringOptional
If specified, the operation retrieves tasks with the specified api call type used.
workflow_idstringOptional
If specified, the operation retrieves tasks that for the specified workflow id.
tagslist of stringsOptional

If specified, the operation retrieves tasks that with the specified filter tags. Use the following syntax to specify multiple tags: tags[]=tag_value_1&tags[]=tag_value_2.

Note: All the workflow tasks that have any of the specified tags will be listed in the response body.

pageintegerOptionalDefaults to 1

If you want to retrieve only the workflows on a specific page, you can specify the page number in the query.

page_lengthintegerOptionalDefaults to 20

The number of workflow tasks shown in a single call. If the page parameter is not specified, the operation will return only the first page of results. If there are multiple pages of results, use it with the page parameter to get the results on subsequent pages. The maximum value is 100.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
datalist of objectsOptional
The list of tasks retrieved.
paginationobjectOptional
An object containing pagination information for the list of tasks returned by the API.